Bug 1180312 - [abrt] libreoffice-core: ScRangeList::operator[](): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: ScRangeList::operator[](): soffice.bin killed by SIG...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:562ae61c20ee33ae92a4f63bab5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-08 19:51 UTC by Devon Janitz
Modified: 2015-01-16 21:56 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-15 08:10:31 UTC


Attachments (Terms of Use)
File: backtrace (45.36 KB, text/plain)
2015-01-08 19:52 UTC, Devon Janitz
no flags Details
File: cgroup (190 bytes, text/plain)
2015-01-08 19:52 UTC, Devon Janitz
no flags Details
File: core_backtrace (21.40 KB, text/plain)
2015-01-08 19:52 UTC, Devon Janitz
no flags Details
File: dso_list (26.52 KB, text/plain)
2015-01-08 19:52 UTC, Devon Janitz
no flags Details
File: environ (1.54 KB, text/plain)
2015-01-08 19:52 UTC, Devon Janitz
no flags Details
File: exploitable (82 bytes, text/plain)
2015-01-08 19:52 UTC, Devon Janitz
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-08 19:52 UTC, Devon Janitz
no flags Details
File: maps (125.54 KB, text/plain)
2015-01-08 19:52 UTC, Devon Janitz
no flags Details
File: open_fds (637 bytes, text/plain)
2015-01-08 19:52 UTC, Devon Janitz
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2015-01-08 19:52 UTC, Devon Janitz
no flags Details
File: var_log_messages (180 bytes, text/plain)
2015-01-08 19:52 UTC, Devon Janitz
no flags Details

Description Devon Janitz 2015-01-08 19:51:58 UTC
Description of problem:
Deleted a row from the spread sheet.

Version-Release number of selected component:
libreoffice-core-4.3.5.2-4.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///home/djanitz/Downloads/password%20managers%20comparison.xlsx --splash-pipe=5
crash_function: ScRangeList::operator[]
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ScRangeList::operator[] at /usr/src/debug/libreoffice-4.3.5.2/sc/source/core/tool/rangelst.cxx:1122
 #1 ScConditionalFormat::DeleteArea at /usr/src/debug/libreoffice-4.3.5.2/sc/source/core/data/conditio.cxx:2091
 #2 ScConditionalFormatList::DeleteArea at /usr/src/debug/libreoffice-4.3.5.2/sc/source/core/data/conditio.cxx:2305
 #3 ScTable::CopyToTable at /usr/src/debug/libreoffice-4.3.5.2/sc/source/core/data/table2.cxx:1188
 #4 ScDocument::CopyToDocument at /usr/src/debug/libreoffice-4.3.5.2/sc/source/core/data/document.cxx:1971
 #5 ScDocFunc::DeleteCells at /usr/src/debug/libreoffice-4.3.5.2/sc/source/ui/docshell/docfunc.cxx:2303
 #6 ScViewFunc::DeleteCells at /usr/src/debug/libreoffice-4.3.5.2/sc/source/ui/view/viewfunc.cxx:1523
 #7 ScCellShell::ExecuteEdit at /usr/src/debug/libreoffice-4.3.5.2/sc/source/ui/view/cellsh1.cxx:170
 #8 SfxShell::CallExec at /usr/src/debug/libreoffice-4.3.5.2/include/sfx2/shell.hxx:181
 #9 SfxDispatcher::Call_Impl at /usr/src/debug/libreoffice-4.3.5.2/sfx2/source/control/dispatch.cxx:283

Comment 1 Devon Janitz 2015-01-08 19:52:01 UTC
Created attachment 977921 [details]
File: backtrace

Comment 2 Devon Janitz 2015-01-08 19:52:01 UTC
Created attachment 977922 [details]
File: cgroup

Comment 3 Devon Janitz 2015-01-08 19:52:02 UTC
Created attachment 977923 [details]
File: core_backtrace

Comment 4 Devon Janitz 2015-01-08 19:52:03 UTC
Created attachment 977924 [details]
File: dso_list

Comment 5 Devon Janitz 2015-01-08 19:52:04 UTC
Created attachment 977925 [details]
File: environ

Comment 6 Devon Janitz 2015-01-08 19:52:04 UTC
Created attachment 977926 [details]
File: exploitable

Comment 7 Devon Janitz 2015-01-08 19:52:05 UTC
Created attachment 977927 [details]
File: limits

Comment 8 Devon Janitz 2015-01-08 19:52:06 UTC
Created attachment 977928 [details]
File: maps

Comment 9 Devon Janitz 2015-01-08 19:52:07 UTC
Created attachment 977929 [details]
File: open_fds

Comment 10 Devon Janitz 2015-01-08 19:52:07 UTC
Created attachment 977930 [details]
File: proc_pid_status

Comment 11 Devon Janitz 2015-01-08 19:52:08 UTC
Created attachment 977931 [details]
File: var_log_messages

Comment 12 David Tardon 2015-01-09 08:07:38 UTC
Do you have a route to reproduce the crash? E.g., if it is reproducible using the same spreadsheet, could you attach it here?

Comment 13 Devon Janitz 2015-01-13 21:39:57 UTC
I have contunued to use the same spreadsheet to finish my work.  I have performed the same function over and over and not another error.  Thanks for the time, I will re-open if it returns.
Devon

Comment 14 Eike Rathke 2015-01-16 21:56:58 UTC
Could be fixed with upstream https://gerrit.libreoffice.org/13965


Note You need to log in before you can comment on or make changes to this bug.